package main

import (
	"net/http"
	"fmt"
	"io/ioutil"
	"encoding/json"
	"fs"
	"github.com/Tangmz/tangs/log"
	"time"
	"os"
)

func main() {
	defer func() {
		time.Sleep(5*time.Second)
	}()
	var conf string = "/home/tangs/web/fileUpload/config.json"
	var err error

	configBys, err := ioutil.ReadFile(conf)
	if err != nil {
		log.Error("main read config with conf(%v) error ->(%v)", conf, err)
		return
	}

	log.Debug("%v", string(configBys))

	var config = &fs.Config{}

	err = json.Unmarshal(configBys, &config)
	if err != nil {
		log.Error("main trans config(%v) to map error ->(%v)", string(configBys), err)
		return
	}

	log.RedirectFile(config.Log)

	fs.Conf = config

	path, _ := os.Getwd()
	fmt.Println("current path is ", path)
	log.Debug("current path is %v", path)

	// 初始化router
	fs.Router()
	log.Debug("main start listen on port :5678")

	http.Handle("/", http.FileServer(http.Dir("www")))
	fmt.Println(http.ListenAndServe(":5678", nil))
}
